# 从SVN迁移到Git的一些资料
## 目录

## Git安装部署和配置

- [Git安装配置和操作基本操作演示](doc/Git安装配置和操作基本操作演示.md) 
- [签出正式开发代码，修改，提交](doc/签出正式开发代码，修改，提交.md) 
- [Git同步密码输入错误后设置重新验证](doc/Git同步密码输入错误后设置重新验证.md)
- [Git-Windows配置支持Git多账户](https://civgit.vicp.net:8443/wangjinbo/Svn-to-Git/blob/master/doc/FromSVNToGit/ConfigAfterInstall.md#%E5%AF%86%E7%A0%81%E7%AE%A1%E7%90%86)
- [Git提交日志查看优化](https://civgit.vicp.net:8443/wangjinbo/Svn-to-Git/blob/master/doc/FromSVNToGit/ConfigAfterInstall.md#%E6%A0%BC%E5%BC%8F%E5%8C%96%E6%97%A5%E5%BF%97%E8%BE%93%E5%87%BA)
- [只从Git仓库中移除已追踪的文件](https://civgit.vicp.net:8443/wangjinbo/Svn-to-Git/blob/master/doc/FromSVNToGit/CommenCmd.md#%E4%BC%98%E9%9B%85%E5%88%A0%E9%99%A4%E8%A6%81%E5%BF%BD%E7%95%A5%E7%9A%84%E6%96%87%E4%BB%B6)

## 代码调整和部署说明

- [关于ConfCenter和Web4移出服务代码的更新](doc/对于ConfCenter和Web4移出服务代码的更新.md) 
- [让Git支持Windows Symbolic link](doc/让Git支持Windows Symbolic link.md) 
- [部署环境搭建--面向实施](doc/部署环境搭建--面向实施.md)
- [关于Gitlab域名更换问题](./doc/关于Gitlab域名更换问题.md)

## 前端

- [SINOPIA——私有npm仓库的使用](doc/SINOPIA——私有npm仓库.md)
- [浏览器缓存策略——maxAge与maxStale](doc/浏览器缓存策略——maxAge与maxStale.md)
- [一点点历史——浏览器history](doc/a-little-bit-of-history.md)
- [Simple-Page Applications And Server——单页面应用程序与服务器](doc/Simple-Page Applications And Server.md) 
- [npm package.json中的`~`与`^`有什么不同](doc/difference-between-tilde-and-caret-in-npm-package.json-file.md)
- [使用跨域——Using CORS](doc/using-cors.md)
- [如何使用SSH协议获取gitlab仓库代码](./doc/如何使用ssh协议获取gitlab仓库的代码.md) 
- ...[EcmaScript 6 ]()
- ...[TypeScript]()
- ...[WebPack 编译与打包]()

## Linux

- [CentOS7.4搭建L2TPIPSec VPN](doc/CentOS7.4搭建L2TPIPSec VPN.md)
- [CentOS7.4配置网关路由服务器](doc/CentOS7.4配置网关路由服务器.md)
- ...[Linux Shell 脚本]()

## 其他文档

- [Nginx 配置文件nginx.conf中文详解](doc/Nginx 配置文件nginx.conf中文详解.md) 
- [关于12.1服务器的配置](doc/关于12.1服务器的配置.md) 
- [常用命令行](doc/常用命令行.md) 
- [Git 基础](doc/Git 基础.md) 
- [使用Vimdiff解决git冲突](doc/使用Vimdiff解决git冲突.md)
- [用vim写代码](doc/用vim写代码.md)
- [Gitlab的SSH协议端口8822失效的问题排查](doc/Gitlab 8822端口失效问题.md)
- [Calibre-web电子书网站的使用](doc/Calibre-web的使用.md)
- [ike-scan扫描服务端的ike加密算法](doc/ike-scan扫描服务端的ike加密算法.md)
- [用 LinqPad 进行快速开发](doc/LinqPad快速开发数据轮询持久化.md)
- [用Quartz.net开发定时调度]
- [创建交互式Windows任务计划](./doc/创建交互式Windows任务计划.md) 

## 外部文档 

### 微软官方

- [框架设计指南——命名规则](https://docs.microsoft.com/zh-cn/dotnet/standard/design-guidelines/naming-guidelines)
- [框架设计指南——类型设计准则](https://docs.microsoft.com/zh-cn/dotnet/standard/design-guidelines/type)
- [框架设计指南——成员设计准则](https://docs.microsoft.com/zh-cn/dotnet/standard/design-guidelines/member)
- [框架设计指南——扩展性设计](https://docs.microsoft.com/zh-cn/dotnet/standard/design-guidelines/designing-for-extensibility)
- [框架设计指南——异常的设计准则](https://docs.microsoft.com/zh-cn/dotnet/standard/design-guidelines/exceptions)
- [框架设计指南——使用准则](https://docs.microsoft.com/zh-cn/dotnet/standard/design-guidelines/usage-guidelines)
- [框架设计指南——常见的设计模式](https://docs.microsoft.com/zh-cn/dotnet/standard/design-guidelines/common-design-patterns)

